<?php $attributes ??= new \Illuminate\View\ComponentAttributeBag;

$__newAttributes = [];
$__propNames = \Illuminate\View\ComponentAttributeBag::extractPropNames(([
    'name' => 'Submit',
    'class' => 'btn btn-primary',
    'icon' => 'fa-solid fa-check-circle me-1',
]));

foreach ($attributes->all() as $__key => $__value) {
    if (in_array($__key, $__propNames)) {
        $$__key = $$__key ?? $__value;
    } else {
        $__newAttributes[$__key] = $__value;
    }
}

$attributes = new \Illuminate\View\ComponentAttributeBag($__newAttributes);

unset($__propNames);
unset($__newAttributes);

foreach (array_filter(([
    'name' => 'Submit',
    'class' => 'btn btn-primary',
    'icon' => 'fa-solid fa-check-circle me-1',
]), 'is_string', ARRAY_FILTER_USE_KEY) as $__key => $__value) {
    $$__key = $$__key ?? $__value;
}

$__defined_vars = get_defined_vars();

foreach ($attributes->all() as $__key => $__value) {
    if (array_key_exists($__key, $__defined_vars)) unset($$__key);
}

unset($__defined_vars, $__key, $__value); ?>
<button type="submit" class="<?php echo e($class); ?>"><i class="<?php echo e($icon); ?>"></i><?php echo e($name); ?></button>
<?php /**PATH C:\xampp\htdocs\projects\broker-v6.0\resources\views/components/dashboard/form-button.blade.php ENDPATH**/ ?>